// Normalize.css convertido manualmente para scss e adaptado para o GOVBR-DS.
// normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css

*,
*::before,
*::after {
  box-sizing: border-box;
}

// 1. Correct the line height in all browsers.
// 2. Prevent adjustments of font size after orientation changes in iOS.
html {
  line-height: var(--font-line-height-medium); // 1
  text-size-adjust: 100%; // 2
}

body {
  margin: 0;
}

main {
  display: block;
}

// 1. Add the correct box sizing in Firefox.
// 2. Show the overflow in Edge and IE.
hr {
  box-sizing: content-box; // 1
  height: 0; // 1
  overflow: visible; // 2
}

// 1. Correct the inheritance and scaling of font size in all browsers.
// 2. Correct the odd `em` font sizing in all browsers.
pre {
  font-family: monospace; // 1
  font-size: 1em; // 2
}

a {
  background-color: transparent;
}

// 1. Remove the bottom border in Chrome 57-
// 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
abbr[title] {
  border-bottom: 0; // 1
  text-decoration: underline; // 2
  text-decoration: underline dotted; // 2
}

b,
strong {
  font-weight: bolder;
}

// 1. Correct the inheritance and scaling of font size in all browsers.
// 2. Correct the odd `em` font sizing in all browsers.
code,
kbd,
samp {
  font-family: monospace; // 1
  font-size: 1em; // 2
}

small {
  font-size: 80%;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

img {
  border-style: none;
}

// 1. Change the font styles in all browsers.
// 2. Remove the margin in Firefox and Safari.
button,
input,
optgroup,
select,
textarea {
  font-family: inherit; // 1
  font-size: 100%; // 1
  line-height: var(--font-line-height-medium); // 1
  margin: 0; // 2
}

// 1. Show the overflow in Edge.
button,
input {
  // 1
  overflow: visible;
}

// 1. Remove the inheritance of text transform in Firefox.
button,
select {
  // 1
  text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

fieldset {
  padding: 0.35em 0.75em 0.625em;
}

// 1. Correct the text wrapping in Edge and IE.
// 2. Correct the color inheritance from `fieldset` elements in IE.
// 3. Remove the padding so developers are not caught out when they zero out
//    `fieldset` elements in all browsers.
legend {
  box-sizing: border-box; // 1
  color: inherit; // 2
  display: table; // 1
  max-width: 100%; // 1
  padding: 0; // 3
  white-space: normal; // 1
}

progress {
  vertical-align: baseline;
}

textarea {
  overflow: auto;
}

// 1. Add the correct box sizing in IE 10.
// 2. Remove the padding in IE 10.
[type="checkbox"],
[type="radio"] {
  box-sizing: border-box; // 1
  padding: 0; // 2
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}

// 1. Correct the odd appearance in Chrome and Safari.
// 2. Correct the outline style in Safari.
[type="search"] {
  appearance: textfield; // 1
  outline-offset: -2px; // 2
}

[type="search"]::-webkit-search-decoration {
  appearance: none;
}

// 1. Correct the inability to style clickable types in iOS and Safari.
// 2. Change font properties to `inherit` in Safari.
::-webkit-file-upload-button {
  appearance: button; // 1
  font: inherit; // 2
}

details {
  display: block;
}

summary {
  display: list-item;
}

template {
  display: none;
}

[hidden] {
  display: none;
}
